Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 4329)
@@ -11744,10 +11747,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -11795,10 +11798,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -11846,10 +11849,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -11897,10 +11900,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -11949,10 +11952,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -12005,10 +12008,10 @@
                          im = mask_i(mid,i)
                          jm = mask_j(mid,j)
-                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                         ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                          DO  k = 1, mask_size_l(mid,3)
                             kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !
 !--                         Set value if not in building
-                            IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                            IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                                local_pf(i,j,k) = fill_value
                             ELSE
@@ -12049,9 +12052,9 @@
                 im = mask_i(mid,i)
                 jm = mask_j(mid,j)
-                ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_0(:,jm,im), 5 )), DIM = 1 ) - 1
+                ktt = MINLOC( MERGE( 1, 0, BTEST( wall_flags_static_0(:,jm,im), 5 )), DIM = 1 ) - 1
                 DO  k = 1, mask_size_l(mid,3)
                    kk = MIN( ktt+mask_k(mid,k), nzt+1 )
 !--                Set value if not in building
-                   IF ( BTEST( wall_flags_0(kk,jm,im), 6 ) )  THEN
+                   IF ( BTEST( wall_flags_static_0(kk,jm,im), 6 ) )  THEN
                       local_pf(i,j,k) = fill_value
                    ELSE
Index: /palm/trunk/SOURCE/subsidence_mod.f90
===================================================================
--- /palm/trunk/SOURCE/subsidence_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/subsidence_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -152,5 +155,5 @@
        USE indices,                                                            &
            ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,        &
-                  wall_flags_0
+                  wall_flags_static_0
 
        USE kinds
@@ -186,10 +189,10 @@
                               ( var(k+1,j,i) - var(k,j,i) ) * ddzu(k+1) *      &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ELSE                               ! large-scale ascent
                    tmp_tend = - w_subs(k) *                                    &
                               ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k) *        &
                                         MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDIF
 
@@ -200,5 +203,5 @@
                                  * weight_substep(intermediate_timestep_count) &
                                  * MERGE( 1.0_wp, 0.0_wp,                      &
-                                          BTEST( wall_flags_0(k,j,i), 0 ) )
+                                          BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDIF
              ENDDO
@@ -266,5 +269,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl, nxlg, nxrg, nyng, nys, nysg, nzb, nzt, wall_flags_0
+           ONLY:  nxl, nxlg, nxrg, nyng, nys, nysg, nzb, nzt, wall_flags_static_0
 
        USE kinds
@@ -297,9 +300,9 @@
                                     * ddzu(k+1)                                &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 0 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 0 ) )
           ELSE                                 ! large-scale ascent
              tmp_tend = - w_subs(k) * ( var(k,j,i) - var(k-1,j,i) ) * ddzu(k)  &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 0 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 0 ) )
           ENDIF
 
@@ -310,5 +313,5 @@
                                   * weight_substep(intermediate_timestep_count)&
                                   * MERGE( 1.0_wp, 0.0_wp,                     &
-                                           BTEST( wall_flags_0(k,j,i), 0 ) )
+                                           BTEST( wall_flags_static_0(k,j,i), 0 ) )
           ENDIF
        ENDDO
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 4329)
@@ -21,9 +21,12 @@
 ! Current revisions:
 ! ------------------
-!
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4245 2019-09-30 08:40:37Z pavelkrc
 ! Corrected "Former revisions" section
 ! 
@@ -108,5 +111,5 @@
 
     USE indices,                                                               &
-        ONLY:  nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt, wall_flags_0
+        ONLY:  nxl, nxlg, nxr, nxrg, nys, nysg, nyn, nyng, nzb, nzt, wall_flags_static_0
 
     USE grid_variables,                                                        &
@@ -585,6 +588,6 @@
 !         
 !--                Check if current gridpoint belongs to the atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
-                      IF ( .NOT. BTEST( wall_flags_0(k+bc_h(l)%koff,           &
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+bc_h(l)%koff,           &
                                                      j+bc_h(l)%joff,           &
                                                      i+bc_h(l)%ioff), 0 ) )    &
@@ -616,8 +619,8 @@
 !         
 !--                Check if current gridpoint belongs to the atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !         
 !--                   Upward-facing
-                      IF ( .NOT. BTEST( wall_flags_0(k+bc_h(l)%koff,           &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+bc_h(l)%koff,           &
                                                      j+bc_h(l)%joff,           &
                                                      i+bc_h(l)%ioff), 0 )      &
@@ -652,6 +655,6 @@
 !         
 !--                Check if current gridpoint belongs to the atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
-                      IF ( .NOT. BTEST( wall_flags_0(k+bc_v(l)%koff,           &
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+bc_v(l)%koff,           &
                                                      j+bc_v(l)%joff,           &
                                                      i+bc_v(l)%ioff), 0 ) )    &
@@ -685,8 +688,8 @@
 !         
 !--                Check if current gridpoint belongs to the atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !         
 !--                   Upward-facing
-                      IF ( .NOT. BTEST( wall_flags_0(k+bc_v(l)%koff,           &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+bc_v(l)%koff,           &
                                                      j+bc_v(l)%joff,           &
                                                      i+bc_v(l)%ioff), 0 )      &
@@ -765,16 +768,16 @@
 !
 !--             Check if current gridpoint belongs to the atmosphere
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !
 !--                Check if grid point adjoins to any upward-facing horizontal
 !--                surface, e.g. the Earth surface, plane roofs, or ceilings.
 
-                   IF ( .NOT. BTEST( wall_flags_0(k-1,j,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k-1,j,i), 0 ) )  THEN
 !
 !--                   Determine flags indicating a terrain surface, a building
 !--                   surface, 
-                      terrain  = BTEST( wall_flags_0(k-1,j,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k-1,j,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k-1,j,i), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k-1,j,i), 6 )  .OR.       &
                                  topo_no_distinct
 !
@@ -782,6 +785,6 @@
 !--                   as terrain but with a non-grid resolved building on top.
 !--                   These surfaces will be flagged as urban surfaces.
-                      unresolved_building = BTEST( wall_flags_0(k-1,j,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k-1,j,i), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k-1,j,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k-1,j,i), 6 )
 !
 !--                   Land-surface type
@@ -817,5 +820,5 @@
 !--                Check for any other downward-facing surface. So far only for 
 !--                default surface type.
-                   ELSEIF ( .NOT. BTEST( wall_flags_0(k+1,j,i), 0 ) )  THEN
+                   ELSEIF ( .NOT. BTEST( wall_flags_static_0(k+1,j,i), 0 ) )  THEN
                       num_def_h(1) = num_def_h(1) + 1
                    ENDIF 
@@ -830,18 +833,18 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !
 !--                Northward-facing
-                   IF ( .NOT. BTEST( wall_flags_0(k,j-1,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
 
-                      terrain  = BTEST( wall_flags_0(k,j-1,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j-1,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j-1,i), 6 )   .OR.      &
+                      building = BTEST( wall_flags_static_0(k,j-1,i), 6 )   .OR.      &
                                  topo_no_distinct
 
-                      unresolved_building = BTEST( wall_flags_0(k,j-1,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j-1,i), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j-1,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j-1,i), 6 )
                                      
                       IF (  land_surface  .AND.  terrain  .AND.                &
@@ -868,14 +871,14 @@
 !
 !--                Southward-facing
-                   IF ( .NOT. BTEST( wall_flags_0(k,j+1,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j+1,i), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j+1,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j+1,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j+1,i), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j+1,i), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j+1,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j+1,i), 6 ) 
+                      unresolved_building = BTEST( wall_flags_static_0(k,j+1,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j+1,i), 6 ) 
                                 
                       IF (  land_surface  .AND.  terrain  .AND.                &
@@ -902,14 +905,14 @@
 !
 !--                Eastward-facing
-                   IF ( .NOT. BTEST( wall_flags_0(k,j,i-1), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j,i-1), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j,i-1), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j,i-1), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j,i-1), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j,i-1), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j,i-1), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j,i-1), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j,i-1), 6 )
                                      
                       IF (  land_surface  .AND.  terrain  .AND.                &
@@ -936,14 +939,14 @@
 !
 !--                Westward-facing
-                   IF ( .NOT. BTEST( wall_flags_0(k,j,i+1), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i+1), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j,i+1), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j,i+1), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j,i+1), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j,i+1), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j,i+1), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j,i+1), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j,i+1), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j,i+1), 6 )
                                  
                       IF (  land_surface  .AND.  terrain  .AND.                &
@@ -2144,15 +2147,15 @@
 !
 !--             Check if current gridpoint belongs to the atmosphere
-                IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !
 !--                Upward-facing surface. Distinguish between differet surface types.
 !--                To do, think about method to flag natural and non-natural 
 !--                surfaces. 
-                   IF ( .NOT. BTEST( wall_flags_0(k-1,j,i), 0 ) )  THEN 
+                   IF ( .NOT. BTEST( wall_flags_static_0(k-1,j,i), 0 ) )  THEN 
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k-1,j,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k-1,j,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k-1,j,i), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k-1,j,i), 6 )  .OR.       &
                                  topo_no_distinct
                                  
@@ -2161,6 +2164,6 @@
 !--                   as terrain but with a non-grid resolved building on top.
 !--                   These surfaces will be flagged as urban surfaces.
-                      unresolved_building = BTEST( wall_flags_0(k-1,j,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k-1,j,i), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k-1,j,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k-1,j,i), 6 )
 !
 !--                   Natural surface type          
@@ -2200,5 +2203,5 @@
 !--                Check for any other downward-facing surface. So far only for 
 !--                default surface type.
-                   ELSEIF ( .NOT. BTEST( wall_flags_0(k+1,j,i), 0 ) )  THEN
+                   ELSEIF ( .NOT. BTEST( wall_flags_static_0(k+1,j,i), 0 ) )  THEN
                       CALL initialize_horizontal_surfaces( k, j, i,            &
                                                            surf_def_h(1),      &
@@ -2210,14 +2213,14 @@
 !--                Check for vertical walls and, if required, initialize it.
 !                  Start with northward-facing surface.
-                   IF ( .NOT. BTEST( wall_flags_0(k,j-1,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j-1,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j-1,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j-1,i), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j-1,i), 6 )  .OR.       &
                                  topo_no_distinct
 
-                      unresolved_building = BTEST( wall_flags_0(k,j-1,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j-1,i), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j-1,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j-1,i), 6 )
                                      
                       IF ( land_surface  .AND.  terrain  .AND.                 &
@@ -2247,14 +2250,14 @@
 !
 !--                southward-facing surface
-                   IF ( .NOT. BTEST( wall_flags_0(k,j+1,i), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j+1,i), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j+1,i), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j+1,i), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j+1,i), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j+1,i), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j+1,i), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j+1,i), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j+1,i), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j+1,i), 6 )
                                      
                       IF ( land_surface  .AND.  terrain  .AND.                 &
@@ -2284,14 +2287,14 @@
 !
 !--                eastward-facing surface
-                   IF ( .NOT. BTEST( wall_flags_0(k,j,i-1), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j,i-1), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j,i-1), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j,i-1), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j,i-1), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j,i-1), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j,i-1), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j,i-1), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j,i-1), 6 )
                                  
                       IF ( land_surface  .AND.  terrain  .AND.                 &
@@ -2321,14 +2324,14 @@
 !   
 !--                westward-facing surface
-                   IF ( .NOT. BTEST( wall_flags_0(k,j,i+1), 0 ) )  THEN
+                   IF ( .NOT. BTEST( wall_flags_static_0(k,j,i+1), 0 ) )  THEN
 !
 !--                   Determine flags indicating terrain or building
-                      terrain  = BTEST( wall_flags_0(k,j,i+1), 5 )  .OR.       &
+                      terrain  = BTEST( wall_flags_static_0(k,j,i+1), 5 )  .OR.       &
                                  topo_no_distinct
-                      building = BTEST( wall_flags_0(k,j,i+1), 6 )  .OR.       &
+                      building = BTEST( wall_flags_static_0(k,j,i+1), 6 )  .OR.       &
                                  topo_no_distinct
                                  
-                      unresolved_building = BTEST( wall_flags_0(k,j,i+1), 5 )  &
-                                     .AND.  BTEST( wall_flags_0(k,j,i+1), 6 )
+                      unresolved_building = BTEST( wall_flags_static_0(k,j,i+1), 5 )  &
+                                     .AND.  BTEST( wall_flags_static_0(k,j,i+1), 6 )
                                   
                       IF ( land_surface  .AND.  terrain  .AND.                 &
